Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88111 - mutt doesn't handle revoked uids of gnupg keys correctly
Summary: mutt doesn't handle revoked uids of gnupg keys correctly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mutt
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-05 20:50 UTC by Peter J. Holzer
Modified: 2014-03-17 02:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-07 21:19:44 UTC


Attachments (Terms of Use)

Description Peter J. Holzer 2003-04-05 20:50:37 UTC
Description of problem:

When you try to send an GnuPG-encrypted message to a key with multiple uids,
where (at least) one uid has been revoked but (at least) one uid is still valid,
mutt incorrectly displays the whole key as revoked and refuses to encrypt and
send the message.

Version-Release number of selected component (if applicable):

1.2.5

How reproducible:


Steps to Reproduce:
1. Find a public key on your key ring with at least one revoked uid and one
valid uid. (Alternatively, create a new key with two uids and revoke one of them).
2. Compose a message to the owner of the key, Choose P)gp - B)oth (sign+encrypt)
3. Try to send the mail
    
Actual results:

In the key selection menu, both uids of the key are marked with an "R"
(revoked). If you choose the key anyway, mutt complains that the key has been
revoked and refuses to encrypt and send the message.


Expected results:

Only the revoked uid should be marked as revoked. Sending mail encrypted with
that public key should still be possible.

Additional info:


Proposed fix:

Upgrade to mutt 1.4.1. The source RPM mutt-1.4.1-0.8.x.src.rpm is missing one
BuildPrereq (cyrus-sasl-devel), but otherwise compiles fine on Redhat 7.3 and
seems to work fine (not yet much tested, though).

Comment 1 Bill Nottingham 2003-04-07 21:19:44 UTC
We are probably not at this point going to do a version upgrade of mutt for 7.3.


Note You need to log in before you can comment on or make changes to this bug.